Subject: bug#50733: 28.0.1; project-find-regexp can block Emacs for a long time

From: Gregory Heytings <[email-masked]>
Date: Mon, 27 Sep 2021 19:36:54 +0000

>> Of course a table lookup is O(1) and a search is O(n).  If and only if 
>> you forget the time it takes to build the table and to keep it up to 
>> date.
>
> That time is irrelevant, because it doesn't delay the search.
>

Of course it does.  The most important requirement of any search tool 
(regexp or not) is that it must display results that correspond to the 
current version of the files.  Even a daemon that watches the tree and 
calls mkid in the background when files in the tree have changed isn't 
enough, the results will regularly be wrong during N seconds (where N 
depends on the size of the tree, for example, on my laptop, 30 for a 1 GB 
tree).